#
# spec file for package python-svgwrite
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-svgwrite
Version:        1.4.3
Release:        2.9
Summary:        Python module for creating SVG drawings
License:        MIT
URL:            https://github.com/mozman/svgwrite
Source:         https://files.pythonhosted.org/packages/source/s/svgwrite/svgwrite-%{version}.zip
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-pyparsing >= 2.0.1
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pyparsing >= 2.0.1}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A Python library to create SVG drawings.

%prep
%setup -q -n svgwrite-%{version}
find svgwrite -name "*.py" -exec sed -i -e '/^#!\//, 1d' {} \; -exec sed -i 's/\r$//' {} \;
sed -i 's/\r$//' LICENSE.TXT NEWS.rst README.rst

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# test_embed_google_web_font - asks google for data
# test_pretty_print - fails on python 3.8 because xml output is now ordering tags
%pytest -k 'not test_embed_google_web_font and not test_pretty_print'

%files %{python_files}
%doc NEWS.rst README.rst
%license LICENSE.TXT
%{python_sitelib}/*

%changelog
* Fri Jan  5 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Oct 11 2022 John Vandenberg <jayvdb@gmail.com>
- Update to v1.4.3
  * BUGFIX: Polyline validation
- from v1.4.2
  * Merged some contributions and bugfixes.
* Mon May 10 2021 Daniel Molkentin <daniel.molkentin@suse.com>
- Update to 1.4.1
  - no changelog provided
* Thu Apr 23 2020 Marcus Rueckert <mrueckert@suse.de>
- Update to 1.4
  - Requires Python 3.6
  - Removed Python2 support
  - Optimized/faster svgparser.py module by Florian Festi
  - Removed batch files to run tests on Windows, use pytest or tox
    instead
* Tue Mar 10 2020 Tomáš Chvátal <tchvatal@suse.com>
- Skip one test that started to fail with python 3.8:
  * test_pretty_print
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.3.1:
  * NEW: easy stylesheet embedding: Drawing.embed_stylesheet(content), see example using_fonts.py
  * NEW: embedded local fonts: Drawing.embed_font(fontname, filename), see example using_fonts.py
  * NEW: embedded web fonts: Drawing.embed_google_web_font(fontname, uri), see example using_fonts.py
  * NEW: shapes extension by Christof Hanke
  * NEW: for write(), save() and saveas(), indentation for pretty print is configurable by Mitar
  * BUGFIX: converted regex strings in tests to raw strings by tirkarthi
* Wed Jan  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Version update to 1.2.1:
  * BUGFIX: Python 2 pretty print encoding issue
  * NEW: Inkscape extension - support for Inkscape layers
  * BUGFIX: compatibility with Python 3.7 by fixing re.split() usage
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Use noun phrase in summary.
* Thu May 24 2018 toddrme2178@gmail.com
- Update 1.1.12
  * BUGFIX: values attribute for element animate, accepts any semicolon separated values
- spec file cleanups
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
